<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master"
    AutoEventWireup="true" ValidateRequest="false"
    CodeFile="ANT00001.aspx.cs" Inherits="Page_ANT00001"
    Title=" Anterra " %>

<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>

<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <style type="text/css">
        .FormContent {
            padding: 0px !important;
        }

        .anterraMenuTable {
            font-size: 12pt !important;
            font-family: Arial, sans-serif !important;
            width: 100% !important;
        }

        .anterraMenuCol {
            vertical-align: top !important;
        }

        .anterraNoLink {
            text-decoration: none !important;
        }

        .anterraMenuLi {
            padding: 0.5rem !important;
        }

            .anterraMenuLi a {
                text-decoration: none !important;
            }

                .anterraMenuLi a:hover {
                    text-decoration: revert !important;
                }

            .anterraMenuLi h1 a {
                font-size: x-large !important;
            }

        .anterraNoLink {
            font-weight: bold !important;
        }

            .anterraNoLink:hover {
                color: #0D6EF9 !important;
            }

        td {
            padding: 1rem !important;
        }

        .phF {
            padding-left: 40px;
            padding-right: 20px;
            padding-top: 30px;
            font-family: Arial;
        }

        .errCode {
            padding-bottom: 20px;
            font-family: Arial;
            font-size: 15pt;
        }

        .errMsg {
            font-size: 12pt;
        }

        .img {
            float: left;
            margin-right: 10px;
        }

        .nxtSt {
            margin-top: 30px;
            font-family: Arial;
            font-size: 15pt;
        }

        .navTo {
            margin-top: 10px;
            margin-left: 20px;
        }

        .errPnl {
            padding: 10px;
            padding-top: 15px;
        }

        .grayBox {
            border: solid 1px #CCC;
            background-color: #F9F9F9;
            padding-top: 20px;
            padding-bottom: 25px;
            padding-left: 10px;
            padding-right: 20px;
        }

        .activateBtn {
            margin-top: 10px;
        }

        .FormContent {
            background-color: white !important;
        }
    </style>

    <px:pxdatasource id="ds" runat="server" visible="True" width="100%"
        typename="AnterraBI.ANTIMenuMaint"
        primaryview="MasterView">
        <callbackcommands>
        </callbackcommands>
    </px:pxdatasource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">

    <px:pxformview id="form" runat="server" datasourceid="ds"
        datamember="MasterView" width="100%" height="100%" allowautohide="false">
        <template>
            <div id="divMenuHTML" style="background-color: transparent;">
                <px:pxhtmlview runat="server" id="HtmlViewMenuHTML" height="100%" width="100%" datafield="MenuHTML" skinid="Transparent" noframe="False"
                    labelid="HtmlViewMenuHTMLID">
                    <autosize enabled="True" minheight="900" container="Parent"></autosize>
                </px:pxhtmlview>
            </div>

            <div style="display: none">
                <px:pxcheckbox id="HasError" runat="server" datafield="HasError" commitchanges="true"></px:pxcheckbox>
            </div>

            <div id="divError" style="display: none; background-color: transparent; padding: 10px 20px;">
                <div class="errCode">
                    <px:pxlabel id="lblErrCode" runat="server" text="Anterra Authorization" cssclass="errCode"></px:pxlabel>
                </div>
                <div class="grayBox">
                    <div class="img">
                        <asp:Image ID="imgMessage" runat="server" ImageUrl="~/App_Themes/Default/Images/Message/warning.gif"></asp:Image>
                    </div>
                    <div class="errMsg">
                        <px:pxlabel id="lblErrDetail" cssclass="errMsg" runat="server" text="There was a problem authenticating your access with Anterra.<br>Please contact your company's Anterra administrator to confirm you have been properly configured for access to the Anterra Platform."></px:pxlabel>
                    </div>
                </div>
            </div>
        </template>
        <autosize container="Window" enabled="True" minheight="1000"></autosize>
        <clientevents initialize="formInitialize" afterrepaint="formAfterRepaint"></clientevents>
    </px:pxformview>


    <script type="text/javascript">
        function formAfterRepaint() {
            //console.log("formAfterRepaint")
        }

        function formInitialize(form) {
            //console.log("formInitialize")
        }

        function ActionCallback(callbackContext) {
            //console.log("2")
            //console.log("ActionCallback")
            let hasError = 0;
            let divMenuHTML = document.getElementById('divMenuHTML');
            let divError = document.getElementById('divError');

            if (px_alls["HasError"] != undefined && px_alls["HasError"] != null &&
                px_alls["HasError"].value != undefined && px_alls["HasError"].value != null) {
                hasError = px_alls["HasError"].value;
            }

            if (hasError == 0) {
                divMenuHTML.style.display = "block";
                divError.style.display = "none";
                let anterraMenuIframe = divMenuHTML.querySelector('iframe');
                if (anterraMenuIframe != undefined && anterraMenuIframe != null) {
                    console.log('anterraMenuIframe is not null');
                    anterraMenuIframe.sandbox.add('allow-same-origin');
                    anterraMenuIframe.sandbox.add('allow-scripts');
                    anterraMenuIframe.sandbox.add('allow-downloads');
                    anterraMenuIframe.sandbox.add('allow-forms');
                    anterraMenuIframe.setAttribute("id", "anterraMenuIframe");

                    var anchors = anterraMenuIframe.contentDocument.getElementsByTagName("a");
                    for (var i in anchors) {
                        let anchor = anchors[i];
                        let anchorTarget = anchor.getAttribute("target");
                        if (anchorTarget != null && anchorTarget != undefined &&
                            anchorTarget != "_self") {
                            anchors[i].setAttribute("target", "_self");
                        }
                    }
                }
                else {
                    console.log('anterraMenuIframe is null');
                }
            } else {
                divMenuHTML.style.display = "none";
                divError.style.display = "block";
            }
        };

        //function changeAnterraTitle(newTitle) {
        //    alert("changeAnterraTitle:" + newTitle)
        //    let pageCaption = document.getElementById("page-caption");
        //    if (pageCaption != undefined && pageCaption != null) {
        //        let pageCaptionFirstLink = pageCaption.getElementsByTagName('a')[0];
        //        if (pageCaptionFirstLink != undefined && pageCaptionFirstLink != null) {
        //            // pageCaptionFirstLink.innerHTML = "Anterra > " + newTitle;
        //        }
        //    }
        //}

        window.addEventListener('load', function () { px_callback.addHandler(ActionCallback); });
    </script>
</asp:Content>
